Subject: Re: Retroactively change email signature?

From: David Brown <[email-masked]>
Date: Wed, 2 Jan 2008 16:53:09 -0800

On Wed, Jan 02, 2008 at 05:06:37PM -0500, Stephen Sinclair wrote:

>For example, I have a clone of this repo on a Linux, Windows, and OS X
>machine, and also another clone for each on my laptop..  git is
>actually turning out to be great for doing all this swapping between
>machines, but it does take a little training to remember to set the
>configuration, since there's no central repo to ask me for my username
>and password before I can commit.

You can set the user.email and user.name globally with 'git config --global
user.email ...' and the likes, but that only works if you use the same ID.

It'd be nice if there was something that could be put in the global
user.email to require each repository to override that.  On one machine, my
password file doesn't have my name in it, and I kind of get this behavior
by default, but it be nice to be able to do it for real.

Anyone have ideas on how this could be done?

Dave